"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkix-pypi/rdkix-pypi/build/temp.macosx-11.0-arm64-cpython-38/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x10e448af0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x10e448b80>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10e448c10>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10e448ca0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10e448d30>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10e448dc0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10e448e50>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10e448ee0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10e448f70>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10e44f040>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10e44f0d0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10e44f160>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10e44f1f0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10e44f280>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10e44f310>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10e44f3a0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10e44f430>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10e44f4c0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10e44f550>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10e44f5e0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10e44f670>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10e44f700>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10e44f790>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10e44f820>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10e44f940>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10e44f8b0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10e44f9d0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10e44fa60>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10e44faf0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10e44fb80>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10e44fc10>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10e44fca0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10e44fd30>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10e44fdc0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10e44fe50>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10e44fee0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10e44ff70>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10e451040>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10e4510d0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10e451160>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10e4511f0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10e451280>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10e451310>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10e4513a0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10e451430>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10e4514c0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10e451550>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10e4515e0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10e451670>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10e451700>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10e451790>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10e451820>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10e4518b0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10e451940>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10e4519d0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10e451a60>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10e451af0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10e451b80>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10e451c10>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10e451ca0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x10e451d30>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x10e451dc0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x10e451e50>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x10e451ee0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x10e451f70>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x10e455160>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x10e455040>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x10e4551f0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x10e455280>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10e455310>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x10e4553a0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x10e455430>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10e455550>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x10e4554c0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x10e4555e0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x10e455670>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x10e455700>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x10e455820>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x10e455790>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x10e4558b0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x10e455940>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x10e4559d0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x10e455a60>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x10e455af0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x10e455b80>)]
name: str = 'fr_HOCCN'
